TC_STATUS_Type Union Reference

## Data Fields

struct {
uint8_t STOP:1
uint8_t SLAVE:1
uint8_t __pad0__:1
uint8_t PERBUFV:1
uint8_t CCBUFV0:1
uint8_t CCBUFV1:1
uint8_t __pad1__:2
} | bit
struct {
uint8_t __pad0__:4
uint8_t CCBUFV:2
uint8_t __pad1__:2
} | vec
uint8_t | reg

## Detailed Description

Definition at line 412 of file tc.h.

## Field Documentation

## __pad0__

uint8_t TC_STATUS_Type::__pad0__

bit: 2 Reserved

bit: 0.. 3 Reserved

Definition at line 416 of file tc.h.

## __pad1__

uint8_t TC_STATUS_Type::__pad1__

bit: 6.. 7 Reserved

Definition at line 420 of file tc.h.

## bit

struct { ... } TC_STATUS_Type::bit

Structure used for bit access

## CCBUFV

uint8_t TC_STATUS_Type::CCBUFV

bit: 4.. 5 Compare channel buffer x valid

Definition at line 424 of file tc.h.

## CCBUFV0

uint8_t TC_STATUS_Type::CCBUFV0

bit: 4 Compare channel buffer 0 valid

Definition at line 418 of file tc.h.

## CCBUFV1

uint8_t TC_STATUS_Type::CCBUFV1

bit: 5 Compare channel buffer 1 valid

Definition at line 419 of file tc.h.

## PERBUFV

uint8_t TC_STATUS_Type::PERBUFV

bit: 3 Synchronization Busy Status

Definition at line 417 of file tc.h.

## reg

uint8_t TC_STATUS_Type::reg

Type used for register access

Definition at line 427 of file tc.h.

## SLAVE

uint8_t TC_STATUS_Type::SLAVE

bit: 1 Slave Status Flag

Definition at line 415 of file tc.h.

## STOP

uint8_t TC_STATUS_Type::STOP

bit: 0 Stop Status Flag

Definition at line 414 of file tc.h.

## vec

struct { ... } TC_STATUS_Type::vec

Structure used for vec access

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/tc.h